DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
DiTIFFPlugin Class Reference

Implementation of a TIFF plugin for the dcmimgle/dcmimage library. More...

Inheritance diagram for DiTIFFPlugin:

## Public Member Functions
| DiTIFFPlugin ()
| constructor
virtual | ~DiTIFFPlugin ()
| destructor
virtual int | write (DiImage *image, FILE *stream, const unsigned long frame=0) const
| write given image to a file stream (TIFF format) More...
void | setCompressionType (DiTIFFCompression ctype)
| set compression type for TIFF creation More...
void | setLZWPredictor (DiTIFFLZWPredictor pred)
| set predictor type for LZW compression More...
void | setRowsPerStrip (unsigned long rows=0)
| set rows per strip for TIFF creation. More...
Public Member Functions inherited from DiPluginFormat
virtual | ~DiPluginFormat ()
| destructor (virtual)

## Static Public Member Functions
static OFString | getLibraryVersionString ()
| get version information of the TIFF library. More...

## Private Attributes
DiTIFFCompression | compressionType
| TIFF compression type.
DiTIFFLZWPredictor | predictor
| TIFF predictor type.
unsigned long | rowsPerStrip
| TIFF rows per strip.

## Additional Inherited Members
Protected Member Functions inherited from DiPluginFormat
| DiPluginFormat ()
| constructor (protected)

## Detailed Description

Implementation of a TIFF plugin for the dcmimgle/dcmimage library.

Remarks
  This class is only available if DCMTK is compiled with TIFF (libtiff) support enabled.

## Member Function Documentation

## ◆ getLibraryVersionString()

static OFString DiTIFFPlugin::getLibraryVersionString | ( |  | ) |
| static

get version information of the TIFF library.

Typical output format: "LIBTIFF, Version 3.5.7"

Returns
  name and version number of the TIFF library

## ◆ setCompressionType()

void DiTIFFPlugin::setCompressionType | ( | DiTIFFCompression | ctype | ) |

set compression type for TIFF creation

Parameters

  ctype | compression type

## ◆ setLZWPredictor()

void DiTIFFPlugin::setLZWPredictor | ( | DiTIFFLZWPredictor | pred | ) |

set predictor type for LZW compression

Parameters

  pred | predictor type

## ◆ setRowsPerStrip()

void DiTIFFPlugin::setRowsPerStrip | ( | unsigned long | rows = `0` | ) |

set rows per strip for TIFF creation.

Parameters

  rows | rows per strip. By default (value 0), rows per strip is calculated automatically such that each strip contains about 8 kByte of data.

## ◆ write()

virtual int DiTIFFPlugin::write | ( | DiImage * | image,
|  | FILE * | stream,
|  | const unsigned long | frame = `0`
| ) |  | const
| virtual

write given image to a file stream (TIFF format)

Parameters

  image | pointer to DICOM image object to be written
  stream | stream to which the image is written (open in binary mode!)
  frame | index of frame used for output (default: first frame = 0)

Returns
  true if successful, false otherwise

Implements DiPluginFormat.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dipitiff.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1